package fsmv;


public class FSMvEvent {

    private final String eventName;
    
    FSMvEvent(String _event) 
    {
        if(_event==null)
            throw new NullPointerException();
        eventName = _event;
    }

    public String toString() 
    {
        return eventName;
    }
    
    @Override
    public boolean equals(Object obj)
    {
        if(obj == null)
            return false;
    	if(!(obj instanceof FSMvEvent))
    		return false;
    	return eventName.equals(((FSMvEvent)obj).eventName);
    }

    public int hashCode() {
        return eventName.hashCode();
    }

	public String getEvent() {
		return eventName;
	}
}