package fsmv;

public class FSMvTransition {

	final private FSMvState source;
	final private FSMvState destination;
	final private FSMvEvent event;
 	final private FSMvVD vd;
 
	FSMvTransition(FSMvState _source, FSMvState _destination, FSMvVD _vd, FSMvEvent _events)
	{
		 source=_source;
		 destination=_destination;
		 vd=_vd;
		 event=_events;
	}
	public String toString(){
		String text;
		text="	<t>\n		<start>"+source.getState()+"</start>\n		<end>"+destination.getState()+"</end>\n";
		text+="		<vdid>"+vd.getId()+"</vdid>\n";
		text+="		<event>"+event.getEvent()+"</event>\n";
		text+="	</t>\n";
		return text;
	}
	public FSMvState getSource() {
		return source;
	}
	
        public FSMvState getDestination() {
		return destination;
	}
	
        public FSMvEvent getEvent() {
		return event;
	}
	
        public FSMvVD getVd() {
		return vd;
	}
}
