package fsmv.parsor;

import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

public class Parsor {

	private String fileName;
	
	public Parsor(String _fileName){
		this.fileName=_fileName;
	}
	
	public List<String> parse() {
		//System.out.println("Enter Parse");
		List<String> result=new ArrayList<>();
		char current;
		try{
			FileReader file=new FileReader(fileName);
			String token="";
			while(file.ready())
			{
				current=(char)file.read();
				while(file.ready()&&(current==' '|current=='\n'|current=='\t'|current=='\r'))
					current=(char)file.read();
				if(current=='<'&& token.length()==0||token.length()==1&&token.equals("<"))
					while(file.ready())
					{
						token+=current;
						if(current=='>')
							break;
						current=(char)file.read();
					}
				else while(file.ready())
				{
					if(current=='<')
						break;
					token+=current;
					current=(char)file.read();
				}
				result.add(token);
				token=new String();
				if(current=='<')
					token+=(char)current;
			}
			file.close();
			//System.out.println("Leave Parse");
			return result;
			}catch(IOException e)
			{
				System.out.println(e);
				System.out.println("Leave Parse with Exception");
				return null;
			}
	}
}
