/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package fsmvVerifier.generator.promela;

import fsmv.SingleFSMv;

/**
 *
 * @author jvmillo
 */
public class StateGenerator extends AbstractGenerator
{

    @Override
    protected void processASingleFSMv(StringBuilder text, SingleFSMv fsmv) 
    {
        String prefix=fsmv.getName()+"_"+fsmv.getType()+"_";;
        text.append("/*The states of ").append(fsmv.getName()).append(".").append(fsmv.getType());
        text.append("*/\n");
        
        for (int i = 0; i < fsmv.getStates().size(); i++) {
            text.append("#define ").append(prefix).append(fsmv.getStates().get(i).getState()).append(" ").append(i).append("\n");
        }
        text.append("#define ").append(prefix).append("error ").append(fsmv.getStates().size()).append("\n");
        text.append("\n\n");
    }
    
}
