package fsmvgui;


import java.awt.Component;
import javax.swing.ImageIcon;
import javax.swing.JTree;
import javax.swing.tree.DefaultMutableTreeNode;
import javax.swing.tree.DefaultTreeCellRenderer;

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author mint
 */
    @SuppressWarnings("serial")
	class CustomIconRenderer extends DefaultTreeCellRenderer {
    ImageIcon defaultIcon;
    ImageIcon reqIcon;
    ImageIcon rootIcon;
    ImageIcon desIcon;
    ImageIcon xmlIcon;
    ImageIcon proIcon;
    ImageIcon tvlIcon;
    
    public CustomIconRenderer() {
//    defaultIcon = new ImageIcon(CustomIconRenderer.class.getResource("/images/defaultIcon.gif"));
    rootIcon = new ImageIcon("icons/pIcon25.png");
    reqIcon = new ImageIcon("icons/req20.jpeg");
    desIcon = new ImageIcon("icons/des20.jpg");
    xmlIcon = new ImageIcon("icons/xml20.png");
    proIcon = new ImageIcon("icons/pro20.jpg");
    tvlIcon = new ImageIcon("icons/tvl20.png");
    }
    public Component getTreeCellRendererComponent(JTree tree,
    Object value,boolean sel,boolean expanded,boolean leaf,
    int row,boolean hasFocus) {
    super.getTreeCellRendererComponent(tree, value, sel,
    expanded, leaf, row, hasFocus);
    Object nodeObj = ((DefaultMutableTreeNode)value).getUserObject(); 

    if(((DefaultMutableTreeNode)value).isRoot()){
        setIcon(rootIcon);
    }else if(((String)nodeObj).equalsIgnoreCase("fsmr")){
        setIcon(reqIcon);
    }else if(((String)nodeObj).equalsIgnoreCase("fsmd")){
        setIcon(desIcon);
    }else if(((String)nodeObj).endsWith(".xml")){
        setIcon(xmlIcon);
    }else if(((String)nodeObj).endsWith(".tvl")){
        setIcon(tvlIcon);
    }else if(((String)nodeObj).endsWith(".properties")){
        setIcon(proIcon);
    }
    return this;
    }
    }
