package toools;

import java.io.ByteArrayOutputStream;
import java.io.PrintStream;
import java.io.PrintWriter;
import java.io.StringWriter;
import java.util.ArrayList;

public class ExceptionUtilities
{
	public static  String toString(Throwable e)
	{
		StringWriter sw = new StringWriter();
		e.printStackTrace(new PrintWriter(sw));
		return sw.toString();
	}
	
	public static void main(String[] args)
	{
		try
		{
			new ArrayList().get(1);
			
		}
		catch (Exception e)
		{
			System.out.println("*** " +toString(e));
			throw toRuntimeException(e);
		}
	}
	
	public static String extractMsgFromStrackTrace(Throwable e)
	{
		ByteArrayOutputStream bos = new ByteArrayOutputStream();
		PrintStream ps = new PrintStream(bos);
		e.printStackTrace(ps);
		String s = new String(bos.toByteArray());
		s = s.split("\n")[0];
		s = s.replaceFirst("[^:]+: ", "").trim();
		return s.isEmpty() ? null : s;
	}
	
	public static RuntimeException toRuntimeException(Exception e)
	{
		RuntimeException r = new RuntimeException(e.getClass().getName() + ": " + e.getMessage());
		r.setStackTrace(e.getStackTrace());
		return r;
	}
}
