package toools;

import java.util.Comparator;

public interface Identifiable<T> extends Comparable<Identifiable<T>>
{
    T getID();

    void setID(T newID);

    public class CompareStrings implements Comparator<Identifiable<String>>
    {
        public int compare(Identifiable<String> o1, Identifiable<String> o2)
        {
            return o1.getID().compareTo(o2.getID());
        }
    }

    public class CompareInts implements Comparator<Identifiable<Integer>>
    {
        public int compare(Identifiable<Integer> o1, Identifiable<Integer> o2)
        {
            return o1.getID().compareTo(o2.getID());
        }
    }
}
