package toools.collections;

import java.util.AbstractList;

public class ArrayWrappingList<E> extends AbstractList<E>
{
	private final E[] array;
	
	public ArrayWrappingList(E[] array)
	{
		this.array = array;
	}

	@Override
	public E get(int i)
	{
		return this.array[i];
	}

	@Override
	public int size()
	{
		return this.array.length;
	}

}
