package toools.collections;


public class Arrays
{
    public static <T> int numberOfDiffernces(T[] a, T[] b)
    {
        int differenceInSize = Math.abs(a.length - b.length);
        int shortestLength = Math.min(a.length, b.length);
        int differenceInContent = 0;

        for (int i = 0; i < shortestLength; ++i)
        {
            if (!a[i].equals(b[i]))
            {
                ++differenceInContent;
            }
        }
        
        return differenceInContent + differenceInSize;
    }

    public static <T> int numberOfDiffernces(int[] a, int[] b)
    {
        int differenceInSize = Math.abs(a.length - b.length);
        int shortestLength = Math.min(a.length, b.length);
        int differenceInContent = 0;

        for (int i = 0; i < shortestLength; ++i)
        {
            if (a[i] != b[i])
            {
                ++differenceInContent;
            }
        }
        
        return differenceInContent + differenceInSize;
    }
}
