package toools.collections;


/*
 * Created on Aug 24, 2004
 */

/**
 * @author luc.hogie
 */
public class StopWatch
{
	private long time;
	
	public StopWatch()
	{
	    reset();
	}

	public long getElapsedMillis(boolean reset)
	{
		long duration = System.currentTimeMillis() - this.time;
		
		if (reset)
		{
			reset();
		}

		return duration;
	}

	public void reset()
	{
	    this.time = System.currentTimeMillis();
	}

	@Override
	public String toString()
	{
	    return getElapsedMillis(true) + "ms";
	}
	
}
