package toools.extern;

public class ProcessOutput
{
    private final int returnCode;
    private final byte[] stdout;
    private final byte[] stderr;

    ProcessOutput(int returnCode, byte[] stdout, byte[] stderr)
    {
	this.returnCode = returnCode;
	this.stdout = stdout;
	this.stderr = stderr;
    }

    public byte[] getStdout()
    {
	return stdout;
    }

    public byte[] getStderr()
    {
	return stderr;
    }

    public int getReturnCode()
    {
	return returnCode;
    }

}
