package toools.gui;

import java.awt.Color;
import java.util.ArrayList;
import java.util.Random;

/*
 * Created on May 11, 2005
 */

/**
 * @author luc.hogie
 */
public class RandomPalette extends ArrayList<Color> implements ColorPalette
{
    public RandomPalette(Random r, int size)
    {
	for (int i = 0; i < size; ++i)
	{
	    add(new Color(r.nextInt()));
	}

    }

    @Override
    public Color getColorAtIndex(int index)
    {
	return get(index);
    }

    @Override
    public int getNumberOfColors()
    {
	return size();
    }

}
