package toools.math;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;


public class DistributionForLongs extends Distribution<Long>
{
    public DistributionForLongs(String title)
    {
	super(title);
    }

    public String toGNUPlotData(boolean relative)
    {
	StringBuilder b = new StringBuilder();
	List<Long> l = new ArrayList(getOccuringObjects());
	Collections.sort(l);

	for (Long o : l)
	{
	    b.append(o.toString() + '\t' + (relative ? getRelativeNumberOfOccurences(o) : getNumberOfOccurences(o))
		    + '\n');
	}

	return b.toString();
    }

}
