/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package fsmvVerifier.generator.promela;

import fsmv.ComposedFSMv;
import fsmv.FSMv;
import fsmv.SingleFSMv;

/**
 *
 * @author jvmillo
 */
public abstract class AbstractGenerator {
    protected abstract void processASingleFSMv(StringBuilder text, SingleFSMv fsmv);
    
    public void run(StringBuilder text, FSMv fsmv)
    {
        if(fsmv instanceof SingleFSMv)
            processASingleFSMv(text, (SingleFSMv)fsmv);
        else
        {
            for(SingleFSMv sfsmv:((ComposedFSMv)fsmv).getSingleFSMvs())
            {
                processASingleFSMv(text, sfsmv);
            }
        }
    }
    
}
