/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package fsmv.util;

import java.io.File;
import javax.swing.event.TreeSelectionEvent;
import javax.swing.event.TreeSelectionListener;
import javax.swing.tree.DefaultMutableTreeNode;
import javax.swing.tree.TreePath;

/**
 *
 * @author Narwane
 */
public class MyTreeSelectionListener  implements TreeSelectionListener {

        public void valueChanged(TreeSelectionEvent e) {
            //get the selected tree path
            TreePath path = e.getNewLeadSelectionPath();

            //check that a path is in fact selected
            if(path == null) {
                return;
            }

            //get the selected node
            DefaultMutableTreeNode curNode = (DefaultMutableTreeNode) path.getLastPathComponent();

            //get all the nodes in the selected tree path
            Object nodes[] = path.getPath();
            String dir = "";

            //loop through all the tree nodes getting the directory name
            //we start from node one, since node 0, the top node, is the Computer node,
            //which will have no meaning in the file system path
            for (int i = 1; i < nodes.length; i++) {
                DefaultMutableTreeNode node = (DefaultMutableTreeNode) nodes[i];
                //the user object will hold the directory name
                dir += (String)node.getUserObject();
                //add the platform independent directory separator character
                dir += File.separator;
            }

            //add the sub directory nodes to the selected one
            FileTreeProModel.addChildren(curNode, dir);
        }
    }