/*
 * FSMvGUIApp.java
 */

package fsmvgui;

//import fsmv.constants.IFSMVConstants;
//import java.io.FileNotFoundException;
import org.jdesktop.application.Application;
import org.jdesktop.application.SingleFrameApplication;
//import be.ac.info.fundp.TVLParser.TVLParser;
//import java.io.File;

/**
 * The main class of the application.
 */
public class FSMvGUIApp extends SingleFrameApplication {

    /**
     * At startup create and show the main frame of the application.
     */
    @Override protected void startup() {
        show(new FSMvGUIView(this));
    }

    /**
     * This method is to initialize the specified window by injecting resources.
     * Windows shown in our application come fully initialized from the GUI
     * builder, so this additional configuration is not needed.
     */
    @Override protected void configureWindow(java.awt.Window root) {
    }

    /**
     * A convenient static getter for the application instance.
     * @return the instance of FSMvGUIApp
     */
    public static FSMvGUIApp getApplication() {
        return Application.getInstance(FSMvGUIApp.class);
    }

    /**
     * Main method launching the application.
     */
    public static void main(String[] args) {
        /*
        try {
            File tvlFile=new File("../caseStudy/ECPL/FSMr/"+IFSMVConstants.FSMR_CONSTRAINTS_FILE_TVL);
            
            TVLParser tvlParser=new TVLParser(tvlFile);
            String equation=tvlParser.getBooleanForm();
            
            //tvlParser.
            
            System.out.println("main(): File="+tvlFile.getName()+"\npredicateInTVL:"+equation);
            
        } catch (FileNotFoundException ex) {
            ex.printStackTrace();
        }
          */
        launch(FSMvGUIApp.class, args);
    }
}
