package toools.config;


/*
 * Created on May 3, 2005
 */

/**
 * @author luc.hogie
 */
public class ConfigurationKeyException extends ConfigurationException
{
    private String involvedKey;

    
    public ConfigurationKeyException(String involvedKey, String msg)
    {
        this(involvedKey, msg, null);
    }

    public ConfigurationKeyException(String key, String msg, Exception cause)
    {
        super(msg, cause);
        setKey(key);
    }

    public String getMessage()
    {
        return "Configuration error on key '" + getKey() + "': " + super.getMessage();
    }

    public String getKey()
    {
        return involvedKey;
    }

    public void setKey(String key)
    {
        this.involvedKey = key;
    }
}
