package toools.gui;

import java.io.IOException;
import java.nio.ByteBuffer;

import toools.io.file.RegularFile;


import com.sun.pdfview.PDFFile;
import com.sun.pdfview.PDFPage;
import com.sun.pdfview.PagePanel;

public class PDFRenderingAWTComponent extends PagePanel
{
    private byte[] pdfData;

    public void setPDFData(byte[] bytes, int pageNumber)
    {
	this.pdfData = bytes;
	ByteBuffer buf = ByteBuffer.wrap(bytes);

	try
	{
	    PDFFile pdffile = new PDFFile(buf);
	    PDFPage page = pdffile.getPage(pageNumber);
	    showPage(page);
	    doLayout();
	    repaint();
	}
	catch (Exception e)
	{
	    e.printStackTrace();
	}

    }

    public byte[] getPDFData()
    {
	return pdfData;
    }

    public static void main(String[] args) throws IOException
    {
	PDFRenderingAWTComponent p = new PDFRenderingAWTComponent();
	Utilities.displayInJFrame(p, "test");
	p.setPDFData(new RegularFile("/Users/lhogie/Downloads/grph-user-manual.pdf").getContent(), 0);

    }
}
