package toools.gui;

import java.awt.Color;
import java.util.ArrayList;

/*
 * Created on May 11, 2005
 */

/**
 * @author luc.hogie
 */
public class VGA16Palette extends ArrayList<Color> implements ColorPalette
{
    public VGA16Palette()
    {
	add(new Color(0xFF, 0xFF, 0xFF));
	add(new Color(0xC0, 0xC0, 0xC0));
	add(new Color(0x80, 0x80, 0x80));
	add(new Color(0x00, 0x00, 0x00));
	add(new Color(0xFF, 0x00, 0x00));
	add(new Color(0x80, 0x00, 0x00));
	add(new Color(0xFF, 0xFF, 0x00));
	add(new Color(0x80, 0x80, 0x00));
	add(new Color(0x00, 0xFF, 0x00));
	add(new Color(0x00, 0x80, 0x00));
	add(new Color(0x00, 0xFF, 0xFF));
	add(new Color(0x00, 0x80, 0x80));
	add(new Color(0x00, 0x00, 0xFF));
	add(new Color(0x00, 0x00, 0x80));
	add(new Color(0xFF, 0x00, 0xFF));
	add(new Color(0x80, 0x00, 0x80));
    }

    @Override
    public Color getColorAtIndex(int index)
    {
	return get(index);
    }

    @Override
    public int getNumberOfColors()
    {
	return size();
    }

}
