package toools.log;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.OutputStream;

import toools.io.file.RegularFile;


public class FileLogger extends Logger
{
	private final OutputStream os;

	public FileLogger(RegularFile outFile) throws FileNotFoundException
	{
		os = outFile.createWritingStream();
	}

	@Override
	public void log(Object o)
	{
		try
		{
			os.write(o.toString().getBytes());
		}
		catch (IOException e)
		{
			e.printStackTrace();
		}
	}
}
