package toools.math;


public class Segment<A extends Point> extends Couple<A>
{
    public Segment(A a, A b)
    {
        super(a, b);
    }
    
    public double getLength()
    {
        double x1 = getA().getX();
        double y1 = getA().getY();
        double x2 = getB().getX();
        double y2 = getB().getY();
        double s1 = y2 - y1;
        double s2 = x2 - x1;
        return Math.sqrt(s1 * s1 + s2 * s2);
    }
    
}
