package toools.math.relation;



/*
 * Created on Aug 18, 2004
 */

/**
 * @author luc.hogie
 */
public class Function<A, B> extends HashRelation<A, B>
{
	@Override
	public synchronized void add(A key, B value)
	{
		if (isDefined(key))
		{
			throw new IllegalArgumentException("the key " + key + " is already defined");
		}
		else
		{
			super.add(key, value);
		}
	}

	public void setValue(A key, B value)
	{
		if (isDefined(key))
		{
			remove(key);
		}

		add(key, value);
	}
	
	
	@Override
	public boolean isFunction()
	{
		return true;
	}
}
